<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Edit Todo</title>
</head>
<body>

<h2>Edit Todo</h2>

<form method="post" th:action="@{/todos/{id}/edit(id=${todo.id})}" th:object="${todo}">
    <input type="hidden" th:field="*{id}"/>
    <label for="title">Title:</label>
    <input type="text" id="title" name="title" th:field="*{title}" required/>
    <br/>
    <label for="completed">Completed:</label>
    <input type="checkbox" id="completed" name="completed" th:field="*{completed}"/>
    <br/>
    <input type="submit" value="Save"/>
</form>

<br/>

<a th:href="@{/todos}">Back to Todo List</a>

</body>
</html>
